FREE(1)

NAZWA
free - wyświetlanie ilości wolnej i użytej pamięci w systemie

SKŁADNIA
free [opcje]

OPIS
free wyświetla całkowitą ilość wolnej i użytej pamięci fizycznej oraz pamięci wymiany w systemie, a także rozmiary buforów i pamięci podręcznych używanych przez jądro. Informacje są zbierane poprzez analizę /proc/meminfo. Wyświetlane kolumny to:

razem
    Total usable memory (MemTotal and SwapTotal in /proc/meminfo). This includes the physical and swap memory minus a few reserved bits and kernel binary code.

użyte
    Pamięć użyta lub niedostępna (liczona jako razem - wolne)

wolne
    Pamięć nie używana (MemFree oraz SwapFree w /proc/meminfo)

dzielone
    Pamięć używana (głównie) przez tmpfs (Shmem w /proc/meminfo)

bufory
    Pamięć używana przez bufory jądra (Buffers w /proc/meminfo)

w cache
    Pamięć używana przez cache stron oraz płyty (Cached i SReclaimable w /proc/meminfo)

buf/cache
    Suma buforów i w cache

dostępne
    Przybliżenie, jak dużo pamięci jest dostępne do uruchamiania nowych aplikacji bez swapowania. W przeciwieństwie do danych udostępnianych w polach w cache czy wolne, to pole bierze pod uwagę cache stron oraz to, że nie wszystkie płyty pamięci podlegające reklamacji zostaną zwrócone (MemAvailable w /proc/meminfo, dostępne w jądrach 3.14, emulowane w jądrach 2.6.27+, w innych przypadkach - to samo, co wolne)

OPCJE

-b, --bytes
    Wyświetlanie ilości pamięci w bajtach.

-k, --kibi
    Wyświetlanie ilości pamięci w kibibajtach (zachowanie domyślne).

-m, --mebi
    Wyświetlanie ilości pamięci w mebibajtach.

-g, --gibi
    Wyświetlanie ilości pamięci w gibibajtach.

--tebi
    Wyświetlanie ilości pamięci w tebibajtach.

--pebi
    Wyświetlanie ilości pamięci w pebibajtach.

--kilo
    Wyświetlanie ilości pamięci w kilobajtach. Włącza --si.

--mega
    Wyświetlanie ilości pamięci w megabajtach. Włącza --si.

--giga
    Wyświetlanie ilości pamięci w gigabajtach. Włącza --si.

--tera
    Wyświetlanie ilości pamięci w terabajtach. Włącza --si.

--peta
    Wyświetlanie ilości pamięci w petabajtach. Włącza --si.

-h, --human
    Wyświetlanie wszystkich pól wyjściowych automatycznie przeskalowanych do najkrótszej trzycyfrowej jednostki wraz z użytą jednostką. Używane są następujące jednostki:

      B = bajty
      Ki = kibibajty
      Mi = mebibajty
      Gi = gibibajty
      Ti = tebibajty
      Pi = pebibajty

    Jeśli brak jednostki, a w systemie jest eksbibajt RAM-u lub obszaru wymiany, liczba będzie w tebibajtach, a kolumny mogą nie być wyrównane z nagłówkiem.

-w, --wide
    Przełączenie w tryb szeroki, z liniami przekraczającymi 80 znaków. W tym trybie bufory oraz w cache są wypisywane w dwóch osobnych kolumnach.

-c, --count liczba
    Wyświetlenie wyniku podaną liczbę razy. Wymaga opcji -s.

-l, --lohi
    Wyświetlanie szczegółowych statystyk niskiej i wysokiej pamięci.

-L, --line
    Show output on a single line, often used with the -s option to show memory statistics repeatedly.

-s, --seconds opóźnienie
    Stałe wyświetlanie wyników co podane opóźnienie w sekundach. Można podać dowolną liczbę zmiennoprzecinkową, obsługiwane są opóźnienia z dokładnością do mikrosekundy dzięki użyciu funkcji usleep(3).

--si
    Użycie kilo, mega, giga itp. (potęg 1000) zamiast kibi, mebi, gibi (potęg 1024).

-t, --total
    Wyświetlanie linii pokazującej podsumowanie kolumn.

-v, --committed
    Wyświelenie linii pokazującej limit i ilość fizycznie przydzielonej/nieprzydzielonej pamięci. Kolumna razem w tej linii pokazuje limit pamięci fizycznie przydzielonej. Ta linia ma znaczenie tylko w przypadku wyłączenia overcommitu.

--help
    Wyświetlenie opisu.

-V, --version
    Wyświetlenie informacji o wersji.

PLIKI

/proc/meminfo
    informacje dotyczące pamięci

BŁĘDY
Wartość kolumny dzielone nie jest dostępna w jądrach starszych niż 2.6.32 - wtedy wyświetlane jest zero.

Zgłoszenia błędów prosimy wysyłać na adres
    procps@freelists.org

ZOBACZ TAKŻE
ps(1), slabtop(1), top(1), vmstat(8).